package model

import "shylinux.com/x/mysql-story/src/db"

const (
	UID             = "uid"
	NAME            = "name"
	INFO            = "info"
	TYPE            = "type"
	TITLE           = "title"
	CONTENT         = "content"
	USER_UID        = "user_uid"
	USER_H5_ROLE = "user_h5_role"
	H5_UID       = "h5_uid"
	H5_NAME      = "h5_name"
	H5_TYPE      = "h5_type"
	H6_UID       = "_uid"
)

type UserH5 struct {
	db.ModelUserPlace
	H5UID string `gorm:"type:char(32);index"`
}
type H5 struct {
	db.ModelPlace
	CompanyUID string `gorm:"type:char(32);index"`
}
type H6 struct {
	db.ModelContent
	H5UID string `gorm:"type:char(32);index"`
}


func init() { db.CmdModels("", &UserH5{}, &H5{}, &H6{}) }